import { Actions, ActionType } from './readbydomain.action';

import { State, initialState } from './readbydomain.state';

import { Infra } from '../../model';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.Readbydomain: {
      return {
        ...state,
        error: null,
        isPending: true
      };
    }

    case ActionType.ReadbydomainSuccess: {
      return {
        ...state,
        error: null,
        isPending: false,
        infraList: action.payload.content
      };
    }

    case ActionType.ReadbydomainFailure: {
      return {
        ...state,
        error: action.payload,
        isPending: false,
        infraList: null
      };
    }

    default: {
      return state;
    }
  }
}
