import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RESTClient } from 'packages/core/rest/client/RESTClient';
import { DomainMember } from 'packages/domain/model';

import { Member } from '../model';

@Injectable()
export class MemberService {

  public constructor(
    private restClient: RESTClient,
  ) {

  }

  public signin(email: string, password: string): Observable<DomainMember> {
    const body = {
      signinId: email,
      signinPw: password,
    };

    return this.restClient.request<DomainMember>('post', '/account/signin', {
      body: body,
    });
  }

  public signup(member: Member): Observable<Member> {
    return this.restClient.request<Member>('post', '/account/signup', {
      body: member,
    });
  }
}
