import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Notification } from '../model';
import { Member } from '../../member/model';

@Injectable()
export class NotificationService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByMember(member: Member): Observable<Notification[]> {
    const body = {
        member: member,
    };

    return this.rpcClient.call('NotificationService.readAllByMember', member);
  }


}
