import { RPCError } from 'packages/core/rpc/error';

import { Probe } from '../../model';

export interface State {
  error: RPCError | null;
  isPending: boolean;
  probe: Probe | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  probe: null,
};

export const getProbe = (state: State) => state.probe;
export const getError = (state: State) => state.error;
export const isPending = (state: State) => state.isPending;
